package org.fortiss.af3.base.project;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle.
 */
public class AF3BaseProjectActivator extends AbstractUIPlugin {

	/** The plug-in ID. */
	public static final String PLUGIN_ID = "org.fortiss.af3.micro"; //$NON-NLS-1$

	/** The shared instance. */
	private static AF3BaseProjectActivator plugin;

	/** Constructor. */
	public AF3BaseProjectActivator() {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static AF3BaseProjectActivator getDefault() {
		return plugin;
	}
}
